<!-- TITLE -->
<app-header
    title="Paiement"
    subTitle="Vos coordonnées financières"
    color="grey-light"
    [border]="false"
></app-header>
<ion-content color="grey-light">
    <ion-grid class="ion-padding-vertical">
        <!-- Form -->
        <form
            [formGroup]="paymentForm"
            (ngSubmit)="onSubmit()"
            class="mt-30 mx-30"
        >
            <!-- Bank -->
            <ion-text class="size-20 weight-400"> Banque </ion-text>
            <!-- Bank details -->
            <div class="ion-margin-top">
                <!-- Account -->
                <div class="mb-12">
                    <ion-label class="size-10 has-text-secondary weight-200">
                        Intitulé du compte
                    </ion-label>
                </div>
                <app-input-text
                    [control]="paymentForm"
                    [isReadonly]="isReadonly"
                    [name]="'name'"
                    inputType="text"
                    [errorMessages]="[errors.required, errors.lettersOnly]"
                    [validators]="[nameValidator]"
                >
                </app-input-text>
                <!-- Rib -->
                <div class="my-6">
                    <ion-label class="size-10 has-text-secondary weight-200"
                        >RIB</ion-label
                    >
                </div>
                <app-input-text
                    [control]="paymentForm"
                    [isReadonly]="isReadonly"
                    [name]="'rib'"
                    inputType="text"
                    [errorMessages]="[errors.ribRange, errors.lettersNumberOnly]"
                    [validators]="ribValidators"
                >
                </app-input-text>
            </div>
            <!-- Mobile  -->
            <div class="ion-margin-vertical">
                <ion-text class="size-20 weight-400"> Mobile </ion-text>
                <!-- Phone number -->
                <div class="mt-4">
                    <ion-label class="size-10 has-text-secondary weight-200"
                        >Numéro de Téléphone</ion-label
                    >
                    <app-input-text
                        [control]="paymentForm"
                        [isReadonly]="isReadonly"
                        name="phone"
                        inputType="tel"
                        [errorMessages]="[errors.phoneMin, errors.phoneMax, errors.phone]"
                        [validators]="phoneValidators"
                    >
                    </app-input-text>
                </div>
            </div>
            <!-- Price  -->
            <div class="ion-margin-vertical">
                <ion-text class="size-20 weight-400"> Tarif </ion-text>
                <!-- Price -->
                <div class="mt-4">
                    <ion-label class="size-10 has-text-secondary weight-200"
                        >Le prix de votre prestation</ion-label
                    >
                    <app-input-text
                        [control]="paymentForm"
                        [isReadonly]="isReadonly"
                        name="tarif"
                        inputType="number"
                        [errorMessages]="[errors.required, errors.numbersOnly]"
                        [validators]="[requiredValidators,numberValidator]"
                    >
                    </app-input-text>
                </div>
            </div>
            <div class="ion-margin-bottom ion-text-center size-10">
                <ion-text color="danger" data-test-id="submit-error">
                    {{error.value}}
                </ion-text>
            </div>
            <!-- Submit button -->
            <ion-row
                class="has-text-secondary ion-justify-content-center mt-80 weight-500"
            >
                <ion-col
                    size="6"
                    [ngClass]="{
                    'is-primary': isReadonly,
                    'is-white': !isReadonly
                }"
                >
                    <app-button
                        data-test-id="submit-button"
                        [title]="isReadonly? 'Modifier': 'Valider'"
                        [loading]="loading.getValue()"
                        [fill]="isReadonly? 'clear' : 'solid'"
                        [disabled]="!paymentForm.valid"
                        (click)="isReadonly? canModify(): onSubmit()"
                        shape="round"
                        expand="full"
                        class="payment__cta border-solid border-1 has-border-primary radius-40"
                    >
                    </app-button>
                </ion-col>
            </ion-row>
        </form>
    </ion-grid>
</ion-content>
